Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::IconThemeSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::IconTheme. More...

`#include <xfc/gtk/iconthemesignals.hh>`

Inheritance diagram for Xfc::Gtk::IconThemeSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_changed ()
    Called when the current icon theme is switched or GTK+ detects that a change has occurred in the contents of the current icon theme.

## Protected Member Functions

Constructors

- IconThemeSignals (IconTheme *icon_theme)
    Construct a new IconThemeSignals object.
- virtual ~IconThemeSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::IconTheme.

## Constructor & Destructor Documentation

Xfc::Gtk::IconThemeSignals::IconThemeSignals | ( | IconTheme * | icon_theme | ) | `[protected]`

Construct a new IconThemeSignals object.

Parameters:

  | icon_theme | A IconTheme object inheriting the IconThemeSignals implementation.

The documentation for this class was generated from the following file:

- iconthemesignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3